Bug 4529 - problems with eth0/8139too and eth1/forcedeth
: problems with eth0/8139too and eth1/forcedeth
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/drakxtools)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
: 4531
:
  Show dependency tree
 
Reported: 2004-06-28 12:30 by
Modified: 2008-02-15 18:43 (History)


Attachments
/etc/modules.conf (402 bytes, text/plain)
2004-06-28 12:58, Michael Shigorin
no flags Details
/etc/sysconfig/hwconf (4.85 KB, text/plain)
2004-06-28 13:00, Michael Shigorin
no flags Details
/etc/sysconfig/network-scripts/ifcfg-eth0 (60 bytes, text/plain)
2004-06-28 13:02, Michael Shigorin
no flags Details
modules.conf (446 bytes, text/plain)
2004-07-08 11:30, Michael Shigorin
no flags Details
/etc/sysconfig/network (80 bytes, text/plain)
2004-07-08 11:31, Michael Shigorin
no flags Details
/etc/sysconfig/network-scripts/ifcfg-eth0 (118 bytes, text/plain)
2004-07-08 11:31, Michael Shigorin
no flags Details
/etc/sysconfig/network-scripts/ifcfg-eth1 (116 bytes, text/plain)
2004-07-08 11:31, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-28 12:30:46
Имеем две сетевые карты, которые у меня живут как eth0/8139too и
eth1/forcedeth, при этом важно, что в интернет мы ходим через
первую с прибитым MAC.  Установщик определил обе, но предложил
сконфигурировать только 8139; сказал "dhcp".  nforce'вый чип _не_
настраивался при установке (окна тоже не было).

При загрузке kudzu повторно определил оба чипа и предложил
мигрировать конфигурацию (созданную для 8139) на nforce, в чем
было отказано.  При этом предложения перетащить/оставить ее для
8139, когда пришел ее черед, не оказалось.

В итоге был создан только /etc/sysconfig/network-scripts/ifcfg-eth0 (вполне
правильный), что довольно странно в силу того, что у инсталера вроде есть все
необходимое для запуска eth1/forcedeth.

PCI ID:

nvnet           : Nvidia Corporation|nForce2 MCP Networking Adapter
00:04.0 Class 0200: 10de:0066 (rev a1)
        Subsystem: 1297:0531
        Flags: bus master, 66Mhz, fast devsel, latency 0, IRQ 22
        Memory at db000000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at d000 [size=8]
        Capabilities: [44] Power Management version 2
------- Comment #1 From 2004-06-28 12:49:03 -------
*** Bug 4530 has been marked as a duplicate of this bug. ***
------- Comment #2 From 2004-06-28 12:58:04 -------
Created an attachment (id=448) [details]
/etc/modules.conf

eth0 present, eth1 absent
------- Comment #3 From 2004-06-28 13:00:55 -------
Created an attachment (id=449) [details]
/etc/sysconfig/hwconf

Note misalignment with /etc/modules.conf:

device: eth0
driver: nvnet
[...]
device: eth1
driver: 8139too
------- Comment #4 From 2004-06-28 13:02:14 -------
Created an attachment (id=450) [details]
/etc/sysconfig/network-scripts/ifcfg-eth0

written by installer
------- Comment #5 From 2004-06-29 20:57:16 -------
Более того - драйвер nvnet у нас собран и работает вполне нормально. это явно
что-то в инсталяторе, к сожалению.

И, кстати, Compact 2.3 ставится нормально на эту машину ?
------- Comment #6 From 2004-06-29 21:42:03 -------
(In reply to comment #5)
> Более того - драйвер nvnet у нас собран и работает вполне нормально. это явно
> что-то в инсталяторе, к сожалению.

Угу :(

> И, кстати, Compact 2.3 ставится нормально на эту машину ?

Не знаю, это был апгрейд железа.  Проведу эксперимент -- если завтра beta2, то
все равно тестовый раздел чистить.
------- Comment #7 From 2004-07-07 16:34:10 -------
есть некоторая надежда на beta 3 (спрашивайте в магазинах города)
------- Comment #8 From 2004-07-08 11:29:33 -------
Fixed!

Почему-то не видел (expert) вопроса о том, через что будет default gw (8139 стал
eth1, а инет через него) -- но итог получился правильным (прилагается).
------- Comment #9 From 2004-07-08 11:30:02 -------
Created an attachment (id=476) [details]
modules.conf
------- Comment #10 From 2004-07-08 11:31:04 -------
Created an attachment (id=477) [details]
/etc/sysconfig/network
------- Comment #11 From 2004-07-08 11:31:16 -------
Created an attachment (id=478) [details]
/etc/sysconfig/network-scripts/ifcfg-eth0
------- Comment #12 From 2004-07-08 11:31:28 -------
Created an attachment (id=479) [details]
/etc/sysconfig/network-scripts/ifcfg-eth1
------- Comment #13 From 2004-07-08 21:19:15 -------
works for reporter (tm)
------- Comment #14 From 2004-07-16 11:57:08 -------
20040714: все работает (на 2.4), с 2.6 все плохо, но это отдельная сказка.
------- Comment #15 From 2008-02-15 18:43:15 -------
archiving